Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicCommandToggleButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI

Direct Known Subclasses:
  `BasicCommandToggleMenuButtonUI`, `BasicRibbonTaskToggleButtonUI`

public class BasicCommandToggleButtonUI extends BasicCommandButtonUI
Basic UI for command toggle button `JCommandToggleButton`.

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`BasicCommandToggleButtonUI()`
Creates a new UI delegate.

## Method Summary

Modifier and Type
Method
Description
`protected AbstractButton`
`createRendererButton()`
Creates the renderer button.
`static ComponentUI`
`createUI(JComponent c)`
`protected boolean`
`isPaintingSeparators()`
Returns indication whether the action-popup areas separator is painted.
`protected void`
`updatePopupActionIcon()`
Updates the popup action icon.

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionIcon, createPopupActionListener, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, isPaintingBackground, paint, paintButtonBackground, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonIcon, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, updateBorder, updateCustomDimension`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicCommandToggleButtonUI

public BasicCommandToggleButtonUI()
Creates a new UI delegate.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### updatePopupActionIcon

protected void updatePopupActionIcon()
Description copied from class: `BasicCommandButtonUI`
Updates the popup action icon.

Overrides:
  `updatePopupActionIcon` in class `BasicCommandButtonUI`

### isPaintingSeparators

protected boolean isPaintingSeparators()
Description copied from class: `BasicCommandButtonUI`
Returns indication whether the action-popup areas separator is painted.

Overrides:
  `isPaintingSeparators` in class `BasicCommandButtonUI`
Returns:
  `true` if the action-popup areas separator is painted.

### createRendererButton

protected AbstractButton createRendererButton()
Description copied from class: `BasicCommandButtonUI`
Creates the renderer button.

Overrides:
  `createRendererButton` in class `BasicCommandButtonUI`
Returns:
  The renderer button.